Bug#960446: libmount-dev: missing dependency to libselinux-dev

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#960446: libmount-dev: missing dependency to libselinux-dev

Jochen Sprickerhof-5
Package: libmount-dev
Version: 2.35.1-4
Severity: serious
Justification: breaks the build of libpam-mount

Hi,

libmount-dev needs a Depends libselinux-dev because of:

$ grep libselinux /usr/lib/x86_64-linux-gnu/pkgconfig/mount.pc
Requires.private: blkid libselinux

This makes libpam-mount FTBFS:

https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/libpam-mount.html

Cheers Jochen

-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.6.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages libmount-dev depends on:
ii  libblkid-dev          2.35.1-4
ii  libc6-dev [libc-dev]  2.30-8
ii  libmount1             2.35.1-4

libmount-dev recommends no packages.

libmount-dev suggests no packages.

-- no debconf information

Reply | Threaded
Open this post in threaded view
|

Bug#960446: marked as pending in util-linux

Xavier Guimard-4
Control: tag -1 pending

Hello,

Bug #960446 in util-linux reported by you has been fixed in the
Git repository and is awaiting an upload. You can see the commit
message below and you can check the diff of the fix at:

https://salsa.debian.org/debian/util-linux/-/commit/42a65f416afee32f3af72145581ae830fa27f08b

------------------------------------------------------------------------
libmount-dev: depend on libselinux1-dev

Closes: #960446
------------------------------------------------------------------------

(this message was generated automatically)
--
Greetings

https://bugs.debian.org/960446

Reply | Threaded
Open this post in threaded view
|

Processed: Bug#960446 marked as pending in util-linux

Debian Bug Tracking System
In reply to this post by Jochen Sprickerhof-5
Processing control commands:

> tag -1 pending
Bug #960446 [libmount-dev] libmount-dev: missing dependency to libselinux-dev
Added tag(s) pending.

--
960446: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960446
Debian Bug Tracking System
Contact [hidden email] with problems

Reply | Threaded
Open this post in threaded view
|

Bug#960446: marked as done (libmount-dev: missing dependency to libselinux-dev)

Debian Bug Tracking System
In reply to this post by Jochen Sprickerhof-5
Your message dated Tue, 12 May 2020 17:33:56 +0000
with message-id <[hidden email]>
and subject line Bug#960446: fixed in util-linux 2.35.1-5
has caused the Debian Bug report #960446,
regarding libmount-dev: missing dependency to libselinux-dev
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
960446: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960446
Debian Bug Tracking System
Contact [hidden email] with problems

Package: libmount-dev
Version: 2.35.1-4
Severity: serious
Justification: breaks the build of libpam-mount

Hi,

libmount-dev needs a Depends libselinux-dev because of:

$ grep libselinux /usr/lib/x86_64-linux-gnu/pkgconfig/mount.pc
Requires.private: blkid libselinux

This makes libpam-mount FTBFS:

https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/libpam-mount.html

Cheers Jochen

-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.6.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages libmount-dev depends on:
ii  libblkid-dev          2.35.1-4
ii  libc6-dev [libc-dev]  2.30-8
ii  libmount1             2.35.1-4

libmount-dev recommends no packages.

libmount-dev suggests no packages.

-- no debconf information

Source: util-linux
Source-Version: 2.35.1-5
Done: Chris Hofstaedtler <[hidden email]>

We believe that the bug you reported is fixed in the latest version of
util-linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Hofstaedtler <[hidden email]> (supplier of updated util-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 12 May 2020 17:11:40 +0000
Source: util-linux
Architecture: source
Version: 2.35.1-5
Distribution: unstable
Urgency: medium
Maintainer: util-linux packagers <[hidden email]>
Changed-By: Chris Hofstaedtler <[hidden email]>
Closes: 960446
Changes:
 util-linux (2.35.1-5) unstable; urgency=medium
 .
   * libmount-dev: depend on libselinux1-dev (Closes: #960446)
Checksums-Sha1:
 dfce10e3833c600fbcc3c2b37137a801a72221bb 4232 util-linux_2.35.1-5.dsc
 39d7c3d1cfbd8daa4865ee4cfe3dfa95b8be72c6 95572 util-linux_2.35.1-5.debian.tar.xz
 e0ff7b39131fe53bc2bbc79004365a52772519eb 6858 util-linux_2.35.1-5_source.buildinfo
Checksums-Sha256:
 7062bda677ed760f1ce4074f3fe4ee16e42958dbaf6b6f87ac1bfcbe55f238ad 4232 util-linux_2.35.1-5.dsc
 f2f7ee584c3f4b896f4faa601015c8cacc193b84781594f18f470c8ccb36ac2f 95572 util-linux_2.35.1-5.debian.tar.xz
 ae0291283d5ec23ec3b5ce8383a09e82f67733e1ab9d910ee516e81ccb97ea45 6858 util-linux_2.35.1-5_source.buildinfo
Files:
 095dc1729a1f924ec9dd0754c3a9614d 4232 base required util-linux_2.35.1-5.dsc
 4db9090b6daeca50a4964305b85c1499 95572 base required util-linux_2.35.1-5.debian.tar.xz
 8e1c22c7de15367e0b3272d17e195f6c 6858 base required util-linux_2.35.1-5_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEfRrP+tnggGycTNOSXBPW25MFLgMFAl662OoACgkQXBPW25MF
LgPMcQ/9GRpJTKWFx96+3m558a4xfroo+Q0Q7laFQaMreky2VPFn5YzXKIVXUbqA
ife+CfK1YkxgvNMzl38RN2lhsn1BSTIb+K4MrdsXL/4mH9B1lpxo1EDuk/YEUtHn
x6PQYZRy1YfSbVgiwnCez0X7Fxa1teEDLjrm9MwO6AEpzFoQCzsmshd18zhHPfo8
qOSMZ1xrSHezWW9oPb5gM02vdhLx9TdM7ypiK6JqnWCxRCazbPwTOTo70Ip2aC7L
sLR+eG/V9LSAymCKcPzDOtWu0RuAundmuzRezX2pfbv5gQAQnl7mkFGn1zSkNdNe
1HaXB5z3KfHASj2SJRiIswz948483VpHXfrcSEH7f5985IlG+JGIJwnJWoTb5ElG
KxkNCT3Nq2W5694jljAn2OT11mrpH5Lb+MyO4MoCdMnScClMcRThWt1g9qzDGdvo
rLl97Ut7Wmaf36ZnylqHgJ834bFWfNx00/qqGYtBGIPBHJMIiF2I1pyGtBRKI9zG
QeJP+058upcFnelXTrqmuOth4JhTt69Wd7GNgd1gW8kRMccWPJSit6MEP7J6PqUk
hGPtyU6J01hrmRGbKOE/srYgpcaT4lVu8mlmZvhfkgo9I6BPbhddZb1hDZx1nDSf
b3bUCON3HtKs4Av3Se46pErNV6PF8yjmInQSuwaTQ44q5UaIG90=
=qngX
-----END PGP SIGNATURE-----